#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <sys/time.h>

#define LOOP (1000000)

int main(int argc, char** argv)
{
	char path[128];
	char buf[1024];
	FILE* file;
	int i;
	struct timeval start, end;
	long long elaps;

	sprintf(path, "/proc/%s/cmdline", argv[1]);

	gettimeofday(&start, NULL);

	file = fopen(path, "r");
	for (i=0; i<LOOP; i++) {
		fread(buf, 1024, 1, file);
	}

	gettimeofday(&end, NULL);
	printf("%s\n", buf);

	elaps = end.tv_sec * 1000 + end.tv_usec /1000;
	elaps -= start.tv_sec * 1000;
	elaps -= start.tv_usec / 1000;

	printf("time = %lld ms\n", elaps);

	return 0;
}
